## golang-github-grpc-ecosystem-go-grpc-middleware 2.1.0

=== Makefile ===
include .bingo/Variables.mk

SHELL=/usr/bin/env bash

PROVIDER_MODULES ?= $(shell find $(PWD)/providers/  -name "go.mod" | grep -v ".bingo" | xargs dirname)
MODULES          ?= $(PROVIDER_MODULES) $(PWD) $(PWD)/examples
GO_FILES_TO_FMT  ?= $(shell find . -path -prune -o -name '*.go' -print)

GOBIN             ?= $(firstword $(subst :, ,${GOPATH}))/bin

TMP_GOPATH        ?= /tmp/gopath

GO111MODULE       ?= on
export GO111MODULE
GOPROXY           ?= https://proxy.golang.org
export GOPROXY

define require_clean_work_tree
	@git update-index -q --ignore-submodules --refresh

    @if ! git diff-files --quiet --ignore-submodules --; then \
        echo >&2 "cannot $1: you have unstaged changes."; \
        git diff-files --name-status -r --ignore-submodules -- >&2; \
        echo >&2 "Please commit or stash them."; \
        exit 1; \
    fi

    @if ! git diff-index --cached --quiet HEAD --ignore-submodules --; then \
        echo >&2 "cannot $1: your index contains uncommitted changes."; \
        git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2; \
        echo >&2 "Please commit or stash them."; \
        exit 1; \
    fi

endef

all: fmt proto lint test

.PHONY: fmt
fmt: $(GOIMPORTS)
	@echo ">> formatting go code"
	@gofmt -s -w $(GO_FILES_TO_FMT)
	@for file in $(GO_FILES_TO_FMT) ; do \
		./goimports.sh "$${file}"; \
	done
	@$(GOIMPORTS) -w $(GO_FILES_TO_FMT)

.PHONY: test
test:
	@echo "Running tests for all modules: $(MODULES)"
	$(MAKE) $(MODULES:%=test_module_%)

.PHONY: test_module_%
$(MODULES:%=test_module_%): test_module_%:
	@echo "Running tests for dir: $*"
	cd $* && go test -v -race ./...

.PHONY: deps
deps:
	@echo "Running deps tidy for all modules: $(MODULES)"
	for dir in $(MODULES) ; do \
  		echo "$${dir}"; \
		cd $${dir} && go mod tidy; \
	done

.PHONY: docs
docs: $(MDOX) ## Generates code snippets, doc formatting and check links.
	@echo ">> generating docs $(PATH)"
	@$(MDOX) fmt -l --links.validate.config-file=$(MDOX_VALIDATE_CONFIG) *.md

.PHONY: check-docs
check-docs: $(MDOX) ## Generates code snippets and doc formatting and checks links.
	@echo ">> checking docs $(PATH)"
	@$(MDOX) fmt --check -l --links.validate.config-file=$(MDOX_VALIDATE_CONFIG) *.md

.PHONY: lint
# PROTIP:
# Add
#      --cpu-profile-path string   Path to CPU profile output file
#      --mem-profile-path string   Path to memory profile output file
# to debug big allocations during linting.
lint: ## Runs various static analysis tools against our code.
lint: $(BUF) $(COPYRIGHT) fmt docs
	@echo ">> lint proto files"
	@$(BUF) lint

	@echo ">> ensuring copyright headers"
	@$(COPYRIGHT) $(shell go list -f "{{.Dir}}" ./... | xargs -i find "{}" -name "*.go")
	@$(call require_clean_work_tree,"set copyright headers")
	@echo ">> ensured all .go files have copyright headers"

	@echo "Running lint for all modules: $(MODULES)"
	@$(call require_clean_work_tree,"before lint")
	$(MAKE) $(MODULES:%=lint_module_%)
	@$(call require_clean_work_tree,"lint and format files")

.PHONY: lint_module_%
# PROTIP:
# Add
#      --cpu-profile-path string   Path to CPU profile output file
#      --mem-profile-path string   Path to memory profile output file
# to debug big allocations during linting.
lint_module_%: ## Runs various static analysis against our code.
$(MODULES:%=lint_module_%): lint_module_%: $(FAILLINT) $(GOLANGCI_LINT) $(MISSPELL)
	@echo ">> verifying modules being imported"
	@cd $* && $(FAILLINT) -paths "fmt.{Print,Printf,Println},github.com/golang/protobuf=google.golang.org/protobuf" ./...
	
	@echo ">> examining all of the Go files"
	@cd $* && go vet -stdmethods=false ./...
	
	@echo ">> linting all of the Go files GOGC=${GOGC}"
	@cd $* && $(GOLANGCI_LINT) run
	@$(call require_clean_work_tree,"golangci lint")


# For protoc naming matters.
PROTOC_GEN_GO_CURRENT := $(TMP_GOPATH)/protoc-gen-go
PROTOC_GEN_GO_GRPC_CURRENT := $(TMP_GOPATH)/protoc-gen-go-grpc
PROTO_TEST_DIR := testing/testpb/v1

.PHONY: proto
proto: ## Generate testing protobufs
proto: $(BUF) $(PROTOC_GEN_GO) $(PROTOC_GEN_GO_GRPC) $(PROTO_TEST_DIR)/test.proto
	@mkdir -p $(TMP_GOPATH)
	@cp $(PROTOC_GEN_GO) $(PROTOC_GEN_GO_CURRENT)
	@cp $(PROTOC_GEN_GO_GRPC) $(PROTOC_GEN_GO_GRPC_CURRENT)
	@echo ">> generating $(PROTO_TEST_DIR)"
	@PATH=$(GOBIN):$(TMP_GOPATH) $(BUF) alpha protoc \
		-I $(PROTO_TEST_DIR) \
		--go_out=$(PROTO_TEST_DIR)/../ \
		--go-grpc_out=$(PROTO_TEST_DIR)/../ \
	    $(PROTO_TEST_DIR)/*.proto

.PHONY: buf.gen
buf.gen:
	@$(BUF) generate \
           --template ./testing/testvalidate/testvalidate.buf.gen.yaml \
           --path ./testing/testvalidate/v1

## golang-github-grpc-ecosystem-go-grpc-middleware 1.2.2

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (1.2.2-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 15:44:15 +0800

golang-github-grpc-ecosystem-go-grpc-middleware (1.2.2-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 01:52:06 +0800

=== debian/control ===
Source: golang-github-grpc-ecosystem-go-grpc-middleware
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-kit-kit-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-go.uber-zap-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
XS-Go-Import-Path: github.com/grpc-ecosystem/go-grpc-middleware
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-grpc-ecosystem-go-grpc-middleware-dev
Architecture: all
Depends: golang-github-go-kit-kit-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-github-sirupsen-logrus-dev,
         golang-go.uber-zap-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
         ${misc:Depends},
Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
 gRPC Go recently acquired support for Interceptors, i.e. middleware
 that is executed either on the gRPC Server before the request is passed
 onto the user's application logic, or on the gRPC client either around
 the user call. It is a perfect way to implement common patterns: auth,
 logging, message, validation, retries or monitoring.
 .
 These are generic building blocks that make it easy to build multiple
 microservices easily. The purpose of this repository is to act as a
 go-to point for such reusable functionality. It contains some of them
 itself, but also will link to useful external repos.
 .
 grpc_middleware itself provides support for chaining interceptors.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-grpc-ecosystem-go-grpc-middleware-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/grpc-ecosystem/go-grpc-middleware/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-grpc-ecosystem-go-grpc-middleware 1.2.3~git20210213.be4c235

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (1.2.3~git20210213.be4c235-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 29 Aug 2021 21:46:32 +0530

golang-github-grpc-ecosystem-go-grpc-middleware (1.2.3~git20210213.be4c235-1) experimental; urgency=medium

  * Team Upload
  * Update minimum version of dependencies
  * New upstream version 1.2.3~git20210213.be4c235
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 Mar 2021 14:30:18 +0530

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-opentracing-opentracing-go-dev,
-               golang-github-sirupsen-logrus-dev,
+               golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
                golang-go.uber-zap-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
-               golang-google-grpc-dev,
-               golang-goprotobuf-dev,
-Standards-Version: 4.5.0
+               golang-google-grpc-dev (>= 1.27.1~),
+               golang-goprotobuf-dev (>= 1.3.3~),
+Standards-Version: 4.6.0
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -29,11 +29,11 @@
 Architecture: all
 Depends: golang-github-go-kit-kit-dev,
          golang-github-opentracing-opentracing-go-dev,
-         golang-github-sirupsen-logrus-dev,
+         golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
-         golang-google-grpc-dev,
-         golang-goprotobuf-dev,
+         golang-google-grpc-dev (>= 1.27.1~),
+         golang-goprotobuf-dev (>= 1.3.3~),
          ${misc:Depends},
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware

## golang-github-grpc-ecosystem-go-grpc-middleware 1.3.0

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (1.3.0-2) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 21:54:58 +0000

golang-github-grpc-ecosystem-go-grpc-middleware (1.3.0-1) unstable; urgency=medium

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Shengjing Zhu ]
  * New upstream version 1.3.0
  * Replace golang-goprotobuf-dev with golang-github-golang-protobuf-1-3-dev
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Nov 2022 16:06:28 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-grpc-ecosystem-go-grpc-middleware
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
@@ -9,6 +9,7 @@
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
@@ -16,8 +17,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
                golang-google-grpc-dev (>= 1.27.1~),
-               golang-goprotobuf-dev (>= 1.3.3~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -27,13 +27,14 @@
 
 Package: golang-github-grpc-ecosystem-go-grpc-middleware-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-go-kit-kit-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-opentracing-opentracing-go-dev,
          golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
          golang-google-grpc-dev (>= 1.27.1~),
-         golang-goprotobuf-dev (>= 1.3.3~),
          ${misc:Depends},
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware

## golang-github-grpc-ecosystem-go-grpc-middleware 2.1.0

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (2.1.0-2) unstable; urgency=medium

  * Team upload
  * Add Breaks for golang-gitlab-gitlab-org-labkit-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Aug 2024 01:00:51 +0000

golang-github-grpc-ecosystem-go-grpc-middleware (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * add missing dependencies: oklog-run, opentelemetry-otel
  * exclude protovalidate, needs https://github.com/bufbuild/buf
  * Build against golang/protobuf@v1.5 and newer grpc

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 28 Jul 2024 14:20:15 -0400

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>,
-           Shengjing Zhu <zhsj@debian.org>,
+Uploaders: Pirate Praveen <praveen@debian.org>, Shengjing Zhu <zhsj@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev,
-               golang-github-golang-protobuf-1-3-dev,
+               golang-github-golang-protobuf-1-5-dev,
+               golang-github-oklog-run-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-sirupsen-logrus-dev (>= 1.4.2~),
                golang-github-stretchr-testify-dev,
                golang-go.uber-zap-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-dev,
-               golang-google-grpc-dev (>= 1.27.1~),
-Standards-Version: 4.6.2
+               golang-google-grpc-dev (>= 1.60~),
+               golang-opentelemetry-otel-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
@@ -29,13 +30,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-go-kit-kit-dev,
-         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
+         golang-github-golang-protobuf-1-5-dev,
+         golang-github-oklog-run-dev,
          golang-github-opentracing-opentracing-go-dev,
          golang-github-sirupsen-logrus-dev (>= 1.4.2~),
          golang-go.uber-zap-dev,
          golang-golang-x-net-dev,
          golang-google-grpc-dev (>= 1.27.1~),
-         ${misc:Depends},
+         golang-opentelemetry-otel-dev,
+         ${misc:Depends}
+Breaks: golang-gitlab-gitlab-org-labkit-dev (<< 1.17.0-4)
 Description: Go gRPC Middlewares: interceptor chaining, auth, logging, retries and more
  gRPC Go recently acquired support for Interceptors, i.e. middleware
  that is executed either on the gRPC Server before the request is passed

## golang-github-grpc-ecosystem-go-grpc-middleware 2.3.2

=== Makefile ===
--- 
+++ 
@@ -47,13 +47,7 @@
 
 .PHONY: test
 test:
-	@echo "Running tests for all modules: $(MODULES)"
-	$(MAKE) $(MODULES:%=test_module_%)
-
-.PHONY: test_module_%
-$(MODULES:%=test_module_%): test_module_%:
-	@echo "Running tests for dir: $*"
-	cd $* && go test -v -race ./...
+	go test ./...
 
 .PHONY: deps
 deps:
@@ -101,9 +95,7 @@
 #      --mem-profile-path string   Path to memory profile output file
 # to debug big allocations during linting.
 lint_module_%: ## Runs various static analysis against our code.
-$(MODULES:%=lint_module_%): lint_module_%: $(FAILLINT) $(GOLANGCI_LINT) $(MISSPELL)
-	@echo ">> verifying modules being imported"
-	@cd $* && $(FAILLINT) -paths "fmt.{Print,Printf,Println},github.com/golang/protobuf=google.golang.org/protobuf" ./...
+$(MODULES:%=lint_module_%): lint_module_%: $(GOLANGCI_LINT) $(MISSPELL)
 	
 	@echo ">> examining all of the Go files"
 	@cd $* && go vet -stdmethods=false ./...

=== debian/changelog ===
golang-github-grpc-ecosystem-go-grpc-middleware (2.3.2-1) experimental; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 2.3.2
  * Bump debian/* copyright years.
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Mark debian-specific patch as Forwarded:not-needed.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Oct 2025 21:09:26 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,11 @@
                golang-golang-x-oauth2-dev,
                golang-google-grpc-dev (>= 1.60~),
                golang-opentelemetry-otel-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/grpc-ecosystem/go-grpc-middleware
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-go-grpc-middleware.git
 XS-Go-Import-Path: github.com/grpc-ecosystem/go-grpc-middleware
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-grpc-ecosystem-go-grpc-middleware-dev

=== debian/rules ===
#!/usr/bin/make -f

# requres bufbuild/buf
DH_GOLANG_EXCLUDES := protovalidate examples
export DH_GOLANG_EXCLUDES

%:
	dh $@ --buildsystem=golang --with=golang  --builddirectory=_build

# avoid autopkgtest failures
execute_before_dh_auto_install:
	rm -vf _build/src/github.com/grpc-ecosystem/go-grpc-middleware/interceptors/retry/retry_test.go

=== debian/watch ===
Version: 5
Template: Github
Owner: grpc-ecosystem
Project: go-grpc-middleware
